org.apache.ode.bpel.pmapi

## Interface TScopeInfo.Activities

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TScopeInfoImpl.ActivitiesImpl
  Enclosing interface:
    TScopeInfo

      public static interface TScopeInfo.Activities
      extends org.apache.xmlbeans.XmlObject

  An XML activities(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TScopeInfo.Activities.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TActivityInfo` | `addNewActivityInfo()` Appends and returns a new empty value (as xml) as the last "activity-info" element
    `TActivityInfo[]` | `getActivityInfoArray()` Deprecated.
    `TActivityInfo` | `getActivityInfoArray(int i)` Gets ith "activity-info" element
    `java.util.List<TActivityInfo>` | `getActivityInfoList()` Gets a List of "activity-info" elements
    `TActivityInfo` | `insertNewActivityInfo(int i)` Inserts and returns a new empty value (as xml) as the ith "activity-info" element
    `void` | `removeActivityInfo(int i)` Removes the ith "activity-info" element
    `void` | `setActivityInfoArray(int i, TActivityInfo activityInfo)` Sets ith "activity-info" element
    `void` | `setActivityInfoArray(TActivityInfo[] activityInfoArray)` Sets array of all "activity-info" element
    `int` | `sizeOfActivityInfoArray()` Returns number of "activity-info" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getActivityInfoList

          java.util.List<TActivityInfo> getActivityInfoList()

      Gets a List of "activity-info" elements

    - #### getActivityInfoArray

          @Deprecated
          TActivityInfo[] getActivityInfoArray()

      Deprecated.
      Gets array of all "activity-info" elements

    - #### getActivityInfoArray

          TActivityInfo getActivityInfoArray(int i)

      Gets ith "activity-info" element

    - #### sizeOfActivityInfoArray

          int sizeOfActivityInfoArray()

      Returns number of "activity-info" element

    - #### setActivityInfoArray

          void setActivityInfoArray(TActivityInfo[] activityInfoArray)

      Sets array of all "activity-info" element

    - #### setActivityInfoArray

          void setActivityInfoArray(int i,
                                  TActivityInfo activityInfo)

      Sets ith "activity-info" element

    - #### insertNewActivityInfo

          TActivityInfo insertNewActivityInfo(int i)

      Inserts and returns a new empty value (as xml) as the ith "activity-info" element

    - #### addNewActivityInfo

          TActivityInfo addNewActivityInfo()

      Appends and returns a new empty value (as xml) as the last "activity-info" element

    - #### removeActivityInfo

          void removeActivityInfo(int i)

      Removes the ith "activity-info" element